ERROR ITMS-90725: "SDK Version Issue. This app was built with the iOS 14.5 SDK. All iOS apps submitted to the App Store must be built with the iOS 15 SDK or later, included in Xcode 13 or later.

My current version is macOs Big Sur version(11.4) and my xcode version(12.5.1)


Solution 1: Shariful Islam Mubin

You need XCode 13 to use iOS 15 SDK. Simply update your XCode and MacOS (if necessary), then build the app again.

After updating XCode, your iOS SDK will be automatically updated.

Instruction for Older macOS:


Solution 2: barnabas kouami

Below are steps I followed to solve the same issue in the same context:

  • Upgrade macOs Big Sur -> macOs Monterey v12.4

  • Update Xcode 12.x -> Xcode 13.x or later

Note: Upgrade could take some minutes. Hence, be patient